Bug 923384 - DNF uses yum web signature
DNF uses yum web signature
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On: 923665
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-19 13:51 EDT by Stephen John Smoogen
Modified: 2014-09-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: dnf-0.3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-02 04:41:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2013-03-19 13:51:30 EDT
Description of problem:

Currently the HTTP signature for dnf is the same as yum's. This makes it not possible to see how the tool is being used in the environment or to debug issues that the client might have versus yum/smart/zif.
Comment 1 Ales Kozumplik 2013-03-20 05:52:03 EDT
For Fedora 18 this is fixed by commit 15a3eae, fix will be in dnf-0.2.23:
https://github.com/akozumpl/dnf/commit/15a3eae53690b47945e05186fa64090e59eedf5d
Comment 2 Ales Kozumplik 2013-03-20 06:00:22 EDT
The Fedora 19 code in DNF is moving to librepo for metadata and package downloads (majority of the DNF traffic). Opened bug 923665 for librepo to allow us set a custom user agent.
Comment 3 Ales Kozumplik 2013-04-02 04:41:01 EDT
Fixed by 36f1d76 on master. From 0.3.2 on, dnf will always use a user agent string starting with "dnf/".

Unit test is missing, see bug 947346.

Tested when syncing the metadata for google-talkplugin repo:

[root@caws ~]# ngrep -d p21p1 -W byline port 80
interface: p21p1 (192.168.1.0/255.255.255.0)
filter: (ip or ip6) and ( port 80 )
####
T 192.168.1.3:42368 -> 173.194.44.230:80 [AP]
GET /linux/talkplugin/rpm/stable/x86_64/repodata/repomd.xml HTTP/1.1.
User-Agent: dnf/0.3.1.
Host: dl.google.com.
Accept: */*.

Note You need to log in before you can comment on or make changes to this bug.